MODX Revolution 2.4.4—Fixed Output Filter Issue from 2.4.3

Revolution 2.4.4 is out now and contains a fix for a bug introduced in 2.4.3 that caused problems with output filters (modifiers). If you're not yet using Revolution 2.4, now is the time to upgrade.

By Jay Stephen Gilmore
April 6, 2016
MODX Revolution 2.4.4—Fixed Output Filter Issue from 2.4.3

Another patch release of MODX Revolution 2.4, 2.4.4 is now available. The key fix is a regression bug that caused problems with output filters (modifiers). If you missed the 2.4.0 announcement, check out the details here.

Highlights from the changelog:

  • Make sure only recipient can mark user messages read/unread [#12944">
  • Do not attempt to clean cache_db_handler if cache_db not enabled [#12942">
  • Fix broken output filters on undefined placeholders introduced in this commit.

Important:

The 2.4 releases contain vital security patches from 2.3.6. If you are using a version lower than 2.3.6 you should consider an upgrade to 2.4.4 mandatory.

Security is an Ongoing Process

We cannot stress how important it is to run the most current version of MODX. We are always improving security. Upgrade regularly to reduce the chance of your site getting hacked. If you need help upgrading your MODX site, let us know.

Get Started with Revo 2.4

Here’s what you need to get started or upgrade to MODX Revolution 2.4:

Ask Not What MODX Can Do For You

MODX is only as good as it is because of the many individual community members and users that take the time to report issues, request new features, and submit code to the project. Make sure you read the documentation,post feedback and share your experiences in the MODX community forums.

On behalf of the entire MODX Team,
We thank you!